新規カードを作成
curl --request POST \
--url https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": {
"baseUrls": [
"https://www.example.com/hubspot"
]
},
"display": {
"properties": [
{
"dataType": "STRING",
"label": "Pets Name",
"name": "pet_name"
}
]
},
"fetch": {
"objectTypes": [
{
"name": "contacts",
"propertiesToSend": [
"email",
"firstname"
]
}
],
"targetUrl": "https://www.example.com/hubspot/target"
},
"title": "PetSpot"
}
'import requests
url = "https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}"
payload = {
"actions": { "baseUrls": ["https://www.example.com/hubspot"] },
"display": { "properties": [
{
"dataType": "STRING",
"label": "Pets Name",
"name": "pet_name"
}
] },
"fetch": {
"objectTypes": [
{
"name": "contacts",
"propertiesToSend": ["email", "firstname"]
}
],
"targetUrl": "https://www.example.com/hubspot/target"
},
"title": "PetSpot"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actions: {baseUrls: ['https://www.example.com/hubspot']},
display: {properties: [{dataType: 'STRING', label: 'Pets Name', name: 'pet_name'}]},
fetch: {
objectTypes: [{name: 'contacts', propertiesToSend: ['email', 'firstname']}],
targetUrl: 'https://www.example.com/hubspot/target'
},
title: 'PetSpot'
})
};
fetch('https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": {
"baseUrls": [
"https://www.example.com/hubspot"
]
},
"auditHistory": [
{
"applicationId": 123,
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}CRMカード
Create a CRM card
このアプリがインストールされたときにアカウントで有効になる新しいカードを定義します。
POST
/
crm
/
v3
/
extensions
/
cards-dev
/
{appId}
新規カードを作成
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
旧CRMカードが格納されるアプリのID
ボディ
application/json
State of card definition to be created
Configuration for custom user actions on cards.
Show child attributes
Show child attributes
例:
{
"baseUrls": ["https://www.example.com/hubspot"]
}Configuration for displayed info on a card
Show child attributes
Show child attributes
Configuration for this card's data fetch request.
Show child attributes
Show child attributes
CRM UIでユーザーに表示される、このカードのトップレベルのタイトル。文字列です。
レスポンス
successful operation
Configuration for custom user actions on cards.
Show child attributes
Show child attributes
例:
{
"baseUrls": ["https://www.example.com/hubspot"]
}作成、削除、更新など、カードで実行されるアクションのリスト。
Show child attributes
Show child attributes
Configuration for displayed info on a card
Show child attributes
Show child attributes
Show child attributes
Show child attributes
カードの固有ID。
このカードのトップレベルタイトル。CRM UIのユーザーに表示されます。
カードが作成された日時。
カードが最後に更新された日時。
最終更新日 2026年4月10日
⌘I